Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227327 - Displayed double free or corruption (out) messages
Summary: Displayed double free or corruption (out) messages
Keywords:
Status: CLOSED DUPLICATE of bug 230220
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: YangKun
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 10:01 UTC by NIWA Hideyuki
Modified: 2008-07-16 21:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 14:58:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description NIWA Hideyuki 2007-02-05 10:01:54 UTC
Description of problem:
When I test on IPF machine, following messages is displayed.
Test is now going without kernel panic.

Is this problem?

----
*** glibc detected *** bw_mem: double free or corruption (out):
0x40000000000124e0 ***
======= Backtrace: =========
/lib/libc.so.6.1[0x20000000001f6190]
/lib/libc.so.6.1(cfree+0x1ad780)[0x20000000001f6ba0]
bw_mem[0x40000000000056b0]
bw_mem[0x400000000000dec0]
[0xa0000000000107e0]
[0xa000000000010621]
/lib/libc.so.6.1(munmap+0x27d010)[0x20000000002c6460]
/lib/libc.so.6.1(cfree+0x1ad6e0)[0x20000000001f6b00]
bw_mem[0x40000000000056b0]
bw_mem[0x400000000000ec30]
bw_mem[0x400000000000f140]
bw_mem[0x4000000000010480]
bw_mem[0x4000000000005f30]
/lib/libc.so.6.1(__libc_start_main+0xfe250)[0x20000000001476b0]
bw_mem[0x4000000000001740]
======= Memory map: ========
00000000-00004000 r--p 00000000 00:00 0
2000000000000000-2000000000038000 r-xp 00000000 08:03 21790726          
/lib/ld-2.5.so
2000000000044000-2000000000050000 rw-p 00034000 08:03 21790726          
/lib/ld-2.5.so
2000000000050000-2000000000114000 r-xp 00000000 08:03 21790741          
/lib/libm-2.5.so
2000000000114000-2000000000120000 ---p 000c4000 08:03 21790741          
/lib/libm-2.5.so
2000000000120000-2000000000124000 rw-p 000c0000 08:03 21790741          
/lib/libm-2.5.so
2000000000124000-2000000000388000 r-xp 00000000 08:03 21790733          
/lib/libc-2.5.so
2000000000388000-2000000000394000 ---p 00264000 08:03 21790733          
/lib/libc-2.5.so
2000000000394000-20000000003a0000 rw-p 00260000 08:03 21790733          
/lib/libc-2.5.so
20000000003a0000-20000000003b8000 rw-p 20000000003a0000 00:00 0
20000000003c0000-20000000003dc000 r-xp 00000000 08:03 21790722          
/lib/libgcc_s-4.1.1-20070105.so.1
20000000003dc000-20000000003e8000 ---p 0001c000 08:03 21790722          
/lib/libgcc_s-4.1.1-20070105.so.1
20000000003e8000-20000000003ec000 rw-p 00018000 08:03 21790722          
/lib/libgcc_s-4.1.1-20070105.so.1
20000000003ec000-20000000003fc000 rw-p 20000000003ec000 00:00 0
2000000004000000-2000000004024000 rw-p 2000000004000000 00:00 0
2000000004024000-2000000008000000 ---p 2000000004024000 00:00 0
4000000000000000-4000000000014000 r-xp 00000000 08:03 32986733          
/usr/bin/bw_mem
6000000000000000-6000000000004000 rw-p 00010000 08:03 32986733          
/usr/bin/bw_mem
6000000000004000-600000000002c000 rw-p 6000000000004000 00:00 0          [heap]
60000fff7fffc000-60000fff80000000 rw-p 60000fff7fffc000 00:00 0
60000fffffec4000-60000ffffff18000 rw-p 60000fffffec4000 00:00 0          [stack]
a000000000000000-a000000000020000 ---p 00000000 00:00 0                  [vdso]
-----




Version-Release number of selected component (if applicable):
hts-5.0-21

How reproducible:

# hts certify --test=memory


Regard

Comment 1 YangKun 2007-02-06 03:31:16 UTC
Please re-test with the updated test suite hts-5.0-23 and see whether this issue
still exist. 
Also please make sure you're using the newest RHEL5(RHEL5 Server RC1 , kernel
version : 2.6.18-8 )

Thanks

Comment 2 Greg Nichols 2007-03-07 14:58:16 UTC
Don't bother - R26 has the shows the same output.  Closing this as a duplicate.

*** This bug has been marked as a duplicate of 230220 ***


Note You need to log in before you can comment on or make changes to this bug.